summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/tdeutils/debian/klaptopdaemon-trinity.prerm
diff options
context:
space:
mode:
authoralbator <[email protected]>2011-11-05 11:51:44 +0100
committeralbator <[email protected]>2011-11-05 11:51:44 +0100
commit70bc259aa3f4dbd83bd239030690759449ee714b (patch)
treeb61af2d70c64ca12dbec49053c0b20dae8ba7926 /ubuntu/maverick/tdeutils/debian/klaptopdaemon-trinity.prerm
parent1f3a44f73fa43d3c30f47ff8c4f5c414d83f4765 (diff)
parent169853a068683db6540e3b77542d5139bb7867d1 (diff)
downloadtde-packaging-70bc259aa3f4dbd83bd239030690759449ee714b.tar.gz
tde-packaging-70bc259aa3f4dbd83bd239030690759449ee714b.zip
Merge branch 'master' of http://scm.trinitydesktop.org/scm/git/tde-packaging
Diffstat (limited to 'ubuntu/maverick/tdeutils/debian/klaptopdaemon-trinity.prerm')
-rw-r--r--ubuntu/maverick/tdeutils/debian/klaptopdaemon-trinity.prerm30
1 files changed, 30 insertions, 0 deletions
diff --git a/ubuntu/maverick/tdeutils/debian/klaptopdaemon-trinity.prerm b/ubuntu/maverick/tdeutils/debian/klaptopdaemon-trinity.prerm
new file mode 100644
index 000000000..ecc9ea389
--- /dev/null
+++ b/ubuntu/maverick/tdeutils/debian/klaptopdaemon-trinity.prerm
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+
+ remove)
+ /usr/sbin/dpkg-statoverride --quiet --remove /usr/trinity/bin/klaptop_acpi_helper > /dev/null 2>&1 || true
+ if [ -e /usr/trinity/bin/klaptop_acpi_helper ]; then
+ chown root:root /usr/trinity/bin/klaptop_acpi_helper
+ chmod 0755 /usr/trinity/bin/klaptop_acpi_helper
+ fi
+ ;;
+
+ upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0